﻿Public Class comment

    Friend Sub New(ByVal id As Integer, ByVal text As String, ByVal name As String, ByVal location As String, ByVal postDate As Date)
        _id = id
        _text = text
        _name = name
        _location = location
        _postDate = postDate
    End Sub

    Friend Sub New(ByVal commentXML As XmlNode)
        Me.New(Integer.Parse(commentXML.Item("id").InnerText), _
                                                      commentXML.Item("text").InnerText, _
                                                      commentXML.Item("name").InnerText, _
                                                      commentXML.Item("location").InnerText, _
                                                      Date.Parse(commentXML.Item("publishedDate").InnerText))
    End Sub

#Region "--- Fields ---"
    Private _id As Integer
    Private _text As String
    Private _name As String
    Private _location As String
    Private _postDate As Date
#End Region


    Public ReadOnly Property id() As Integer
        Get
            Return _id
        End Get
    End Property

    Public ReadOnly Property text() As String
        Get
            Return _text
        End Get
    End Property

    Public ReadOnly Property name() As String
        Get
            Return _name
        End Get
    End Property

    Public ReadOnly Property location() As String
        Get
            Return _location
        End Get
    End Property

    Public ReadOnly Property postDate() As Date
        Get
            Return _postDate
        End Get
    End Property

End Class
